Summary:	Library providing XML and HTML support
Name:		libxml2
Group:		Development/Libraries
License:	MIT
Version:	2.6.9
Release:	1.5.3
Source0:	ftp://xmlsoft.org/libxml2-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%files
  %defattr(-, root, root)
  %doc AUTHORS ChangeLog NEWS README Copyright TODO
  %doc %{_mandir}/man3/libxml.3*
  %doc %{_mandir}/man1/xmlcatalog.1*
  %doc %{_mandir}/man1/xmllint.1*

  %attr(0555,root,root)	%{_libdir}/lib*.so.*
  %attr(0555,root,root)	%{_bindir}/xmllint
  %attr(0555,root,root)	%{_bindir}/xmlcatalog


%package devel
Summary:	Libraries, includes, etc. to develop XML and HTML applications
Group:		Development/Libraries
### Requires:	libxml2 = %{version}, zlib-devel
Requires:	libxml2 = %{version}, zlib

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%files devel
  %defattr(-, root, root)

  %doc AUTHORS ChangeLog NEWS README Copyright TODO
  %doc doc/*.html doc/html doc/*.gif doc/*.png
  %doc doc/tutorial doc/libxml2-api.xml
  %doc %{_mandir}/man1/xml2-config.1*

  %attr(0555,root,root)	%{_libdir}/lib*.so
  %attr(0555,root,root)	%{_bindir}/xml2-config

  %attr(0444,root,root)	%{_libdir}/*a
  %attr(0444,root,root)	%{_libdir}/pkgconfig/libxml-2.0.pc
  %attr(0444,root,root)	%{_includedir}/*
  %attr(0444,root,root)	%{_prefix}/share/aclocal/libxml.m4


%prep
%setup -q

%build
  ./configure                                   \
	--host=%{_host}                         \
	--build=%{_build}                       \
	--target=%{_target_platform}            \
	--prefix=%{_prefix}                     \
	--exec-prefix=%{_exec_prefix}           \
	--bindir=%{_bindir}                     \
	--sbindir=%{_sbindir}                   \
	--sysconfdir=%{_sysconfdir}             \
	--datadir=%{_datadir}                   \
	--includedir=%{_includedir}             \
	--libdir=%{_libdir}                     \
	--libexecdir=%{_libexecdir}             \
	--localstatedir=%{_localstatedir}       \
	--sharedstatedir=%{_sharedstatedir}     \
	--mandir=%{_mandir}                     \
	--infodir=%{_infodir}                   \
	--without-python			
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # This is lame.
  rm -f $RPM_BUILD_ROOT/%{_libdir}/*.sh

%post   -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 09 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.9, Release 1.5.3
  - Upgrade to 2.6.9 and backport to Thrust.
  - Explicitly ./configure --without-python.

* Thu Apr 01 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.8, Release 1.5.2
  - New upstream version.

* Tue Jul 15 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.5.8, Release 1.5.1
  - Initial build for EnGarde.
